DSM 5.2-5592 Update 4

Severity
Security.impact_level_
Status
Resolved

Description

DSM 5.2 5592 Update 4 includes the following security fixes to address related security vulnerabilities:

  1. Upgraded Apache HTTP Server to 2.2.31 to address one security vulnerability (CVE-2015-3183).
  2. Upgraded PHP to 5.5.28 to address two security vulnerabilities (CVE-2015-5589 and CVE-2015-5590).
  3. Fixed two security vulnerabilities to prevent cross-site scripting (XSS) attacks.
  4. Fixed a security vulnerability of PCRE library (ASA-201508-11).

Resolution

To fix the security issues, please go to DSM > Control Panel > Update & Restore > DSM Update and install DSM 5.2-5592 Update 4 or above to protect your Synology NAS from malicious attacks.